# $Revision: 1.46 $, $Date: 2012/07/04 07:26:52 $
Summary:	Mails anomalies in the system logfiles to the administrator
Summary(pl.UTF-8):	Wysyłanie anomalii w logach systemowych pocztą do administratora
Name:		logcheck
Version:	1.3.15
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://ftp.debian.org/debian/pool/main/l/logcheck/%{name}_%{version}.tar.gz
# Source0-md5:	e3f002fddcdc01856c811872f4082a11
Patch0:		%{name}-pld.patch
Patch1:		%{name}-command_correct.patch
Source1:	%{name}.cron
URL:		http://logcheck.alioth.debian.org/
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-database = %{version}-%{release}
Requires:	/bin/mail
Requires:	crondaemon
Requires:	lockfile-progs
Requires:	logtail = %{version}-%{release}
Requires:	mktemp
#Suggests:	/usr/bin/syslog-summary
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/logcheck

%description
Logcheck is a simple utility which is designed to allow a system
administrator to view the logfiles which are produced upon hosts under
their control.

It does this by mailing summaries of the logfiles to them, after first
filtering out "normal" entries.

Normal entries are entries which match one of the many included
regular expression files contain in the database.

Logcheck was part of the Abacus Project of security tools, but this
version has been rewritten.

%description -l pl.UTF-8
logcheck to proste narzędzie zaprojektowane aby umożliwić
administratorowi systemu oglądanie plików logów tworzonych przez
maszyny, które ma pod kontrolą.

Wykonuje to poprzez wysyłanie pocztą elektroniczną do administratora
podsumowań plików logów po odfiltrowaniu "zwykłych" wpisów.

Zwykłe wpisy to wpisy pasujące do jednego z wielu załączonych plików
wyrażeń regularnych zawartych w bazie danych.

logcheck był częścią projektu Abacus z narzędziami związanymi z
bezpieczeństwem, ale ta wersja została przepisana.

%package database
Summary:	Database of system log rules for the use of log checkers
Summary(pl.UTF-8):	Baza danych reguł loga systemowego do używania z narzędziami sprawdzającymi logi
Group:		Applications/System

%description database
This database is part of the Logcheck package, but might be used by
others. It brings a database of regular expressions for matching
system log entries after various criteria.

%description database -l pl.UTF-8
Ta baza danych jest częścią pakietu logcheck, ale może być używana
przez inne programy. Zawiera wyrażenia regularne do dopasowywania
wpisów logów systemowych z użyciem różnych kryteriów.

%package -n logtail
Summary:	Print log file lines that have not been read
Summary(pl.UTF-8):	Wypisywanie nieprzeczytanych linii pliku loga
Group:		Applications/System
Obsoletes:	retail

%description -n logtail
This program will read in a standard text file and create an offset
marker when it reads the end. The offset marker is read the next time
logtail is run and the text file pointer is moved to the offset
location. This allows logtail to read in the next lines of data
following the marker. This is good for marking log files for automatic
log file checkers to monitor system events.

This program is mainly used by logcheck, because it returns only parts
of the system logfiles that have not already been checked.

%description -n logtail -l pl.UTF-8
Ten program czyta standardowy plik tekstowy, a po doczytaniu do końca
tworzy znacznik offsetu. Przy następnym uruchomieniu logtaila
odczytywany jest znacznik offsetu i wskaźnik tekstu jest przesuwany do
tego offsetu. Pozwala to logtailowi czytać kolejne linie danych za
znacznikiem. Jest to dobre narzędzie do oznaczania plików logów dla
narzędzi do automatycznego sprawdzania plików logów i monitorowania
zdarzeń systemowych.

Ten program jest używany głównie przez logcheck, ponieważ zwraca tylko
te części plików logów systemowych, które nie zostały jeszcze
przeczytane.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/cron.d,%{_sbindir},%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}

mv $RPM_BUILD_ROOT{%{_sbindir},%{_bindir}}/logtail
mv $RPM_BUILD_ROOT{%{_sbindir},%{_bindir}}/logtail2

cat <<'EOF'> $RPM_BUILD_ROOT%{_sysconfdir}/header.txt
This email is sent by logcheck. If you wish to no-longer receive it,
you can either deinstall the logcheck package or modify its
configuration file (%{_sysconfdir}/logcheck.conf).
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 173 %{name}
%useradd -u 173 -d /var/lib/%{name} -g logcheck -c "Logcheck User" %{name}

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES CREDITS TODO
%doc docs/README.{how.to.interpret,keywords,logcheck,Maintainer} docs/tools/log-summary-ssh
%attr(710,root,logcheck) %dir %{_sysconfdir}
%dir %attr(2750,root,logcheck) %{_sysconfdir}/cracking.d
%dir %attr(2750,root,logcheck) %{_sysconfdir}/cracking.ignore.d
%dir %attr(2750,root,logcheck) %{_sysconfdir}/violations.d
%dir %attr(2750,root,logcheck) %{_sysconfdir}/violations.ignore.d
%dir %attr(2750,root,logcheck) %{_sysconfdir}/ignore.d.workstation
%dir %attr(2750,root,logcheck) %{_sysconfdir}/ignore.d.server
%dir %attr(2750,root,logcheck) %{_sysconfdir}/ignore.d.paranoid
%attr(640,root,logcheck) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/logcheck.conf
%attr(640,root,logcheck) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/logcheck.logfiles
%attr(640,root,logcheck) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/header.txt
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(755,root,root) %{_sbindir}/logcheck
%attr(755,root,root) %{_bindir}/logcheck-test
%dir %attr(770,root,logcheck) /var/lib/logcheck
%dir %attr(770,root,logcheck) /var/lock/logcheck

%files database
%defattr(644,root,root,755)
%config %verify(not md5 mtime size) %{_sysconfdir}/cracking.d/*
%config %verify(not md5 mtime size) %{_sysconfdir}/violations.d/*
%config %verify(not md5 mtime size) %{_sysconfdir}/violations.ignore.d/*
%config %verify(not md5 mtime size) %{_sysconfdir}/ignore.d.workstation/*
%config %verify(not md5 mtime size) %{_sysconfdir}/ignore.d.server/*
%config %verify(not md5 mtime size) %{_sysconfdir}/ignore.d.paranoid/*

%files -n logtail
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/logtail*
%{_datadir}/logtail

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: logcheck.spec,v $
Revision 1.46  2012/07/04 07:26:52  kiesiu
- updated to 1.3.15

Revision 1.45  2011/12/13 22:11:27  zbyniu
- up to 1.3.14

Revision 1.44  2010/06/04 06:29:08  glen
- adapter

Revision 1.43  2009/06/10 12:09:22  amateja
- updated to 1.3.1

Revision 1.42  2009/03/16 15:35:44  baggins
- rel 1
- logtail obsoletes retail

Revision 1.41  2008/08/04 15:47:18  zbyniu
- up to 1.2.68

Revision 1.40  2007-12-27 00:26:13  zbyniu
- up to 1.2.63

Revision 1.39  2007-09-16 15:44:32  areq
- 1.2.61

Revision 1.38  2007/06/03 17:43:23  areq
- 1.2.56

Revision 1.37  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.35  2006/10/09 17:51:25  wolvverine
- add patch2

Revision 1.34  2006/10/08 16:58:58  wolvverine
- up to 1.2.47

Revision 1.33  2006/07/20 20:15:40  qboosh
- pl

Revision 1.32  2006/07/18 21:49:47  glen
- adjust deps

Revision 1.31  2006/07/18 21:43:52  glen
- requires lockfile-progs
- permissions and user

Revision 1.30  2006/07/18 20:57:59  glen
- switched to debian source
